[gnome-calculator] Stop using gnome-common as specified in https://wiki.gnome.org/Projects/GnomeCommon/Migration



commit b1d71b1a3bad3e6fc5dba85bc9bde1c005961ae9
Author: Robert Ancell <robert ancell canonical com>
Date:   Sat May 30 20:15:55 2015 +1200

    Stop using gnome-common as specified in https://wiki.gnome.org/Projects/GnomeCommon/Migration
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750135

 Makefile.am  |    3 +--
 autogen.sh   |   39 ++++++++++++++++++++++++++++++---------
 configure.ac |    1 -
 3 files changed, 31 insertions(+), 12 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index becd53c..a52cc38 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,7 +1,6 @@
 SUBDIRS = data lib src search-provider tests help po
 
-# Temporary fix for JHBuild, see https://bugzilla.gnome.org/show_bug.cgi?id=641652
-ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS} -I m4
+ACLOCAL_AMFLAGS = --install -I m4 ${ACLOCAL_FLAGS}
 
 DISTCHECK_CONFIGURE_FLAGS = --enable-installed-tests
 
diff --git a/autogen.sh b/autogen.sh
index 77f1d2c..34bf0c3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,36 @@
 #!/bin/sh
+# Run this to generate all the initial makefiles, etc.
 srcdir=`dirname $0`
-[ -z "$srcdir" ] && srcdir=.
+test -z "$srcdir" && srcdir=.
 
-if [ ! -f "$srcdir/configure.ac" ]; then
-       echo "$srcdir doesn't look like source directory for GNOME Calculator" >&2
-       exit 1
+(test -f $srcdir/configure.ac) || {
+        echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+        exit 1
+}
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+        echo "If you wish to pass any to it, please specify them on the" >&2
+        echo \`$0\'" command line." >&2
+        echo "" >&2
 fi
 
-which gnome-autogen.sh || {
-       echo "You need to install gnome-common from GNOME Git"
-       exit 1
-}
+set -x
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+set +x
+
+if [ "$NOCONFIGURE" = "" ]; then
+        set -x
+        $srcdir/configure "$@" || exit 1
+        set +x
 
-. gnome-autogen.sh "$@"
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 574bfc6..7cf0989 100644
--- a/configure.ac
+++ b/configure.ac
@@ -5,7 +5,6 @@ AC_CONFIG_MACRO_DIR([m4])
 AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz foreign])
 AM_SILENT_RULES([yes])
 AM_MAINTAINER_MODE
-GNOME_MAINTAINER_MODE_DEFINES
 
 AM_PROG_VALAC([0.24])
 AM_PROG_CC_C_O


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]